#ifndef COMMON_H
#define COMMON_H

// macro to simplify error handling
#define ERROR_HELPER(ret, message)  do {                                \
            if (ret < 0) {                                              \
                fprintf(stderr, "%s: %s\n", message, strerror(errno));  \
                exit(EXIT_FAILURE);                                     \
            }                                                           \
        } while (0)

/* Configuration parameters */
#define DEBUG           1   // display debug messages
#define QUIT_COMMAND    "QUIT"
#define CLNT_FIFO_NAME  "fifo_client"
#define ECHO_FIFO_NAME  "fifo_echo"


#endif
